Subject: [FFC-dev] New fast Numeric/BLAS based algorithm for computing reference tensor. [...]

From: [email-masked]
Date: Mon, 21 Nov 2005 23:32:26 +0100

Commit from logg (2005-11-21 23:32 CET)
----------------

New fast Numeric/BLAS based algorithm for computing reference tensor.

This speeds up the computation of the reference tensor by at least
a factor 5-10 compared to the old loop-based evaluation. Thanks to Rob
for suggesting the initial algorithm.

With some profiling and further optimization, I suspect we can get even
more speedup.

I have verified the output for all demos, but please try out the new
code and report your results, good or bad. I'll put out a new release
shortly.

  ffc  ChangeLog                                1.99
  ffc  src/bench/bench                          1.3
+ ffc  src/ffc/compiler/monomialintegration.py  1.1
  ffc  src/ffc/compiler/referencetensor.py      1.17